Bug 79442 - Unable to break XLSX links to outside sheets
Summary: Unable to break XLSX links to outside sheets
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
4.2.4.2 release
Hardware: All All
: high major
Assignee: Eike Rathke
URL:
Whiteboard: target:5.3.0 target:5.2.4
Keywords: bibisected, bisected, regression
Depends on:
Blocks:
 
Reported: 2014-05-30 07:32 UTC by Kevin Suo
Modified: 2016-12-24 05:06 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:


Attachments
test xlsx file which has data link to outside spreadsheet (9.62 KB, application/vnd.openxmlformats-officedocument.spreadsheetml.sheet)
2014-05-30 07:33 UTC, Kevin Suo
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Kevin Suo 2014-05-30 07:32:53 UTC
Description:
When openning an xlsx file which has data links to outside sheets, there is no way to break the links.

Steps to reproduce:
1. Open the attached xlsx file. Click "no" when it asks if you want to refresh the links.
2. Go to "Edit -> Links...".

Current behaviour:
"Edit -> Links..." is grayed out, so we can not break the links. 

The terrible thing is that, because of bug 78490, if we do not break the links before saving the file as XLSX again, the links will be broken and we lost the data.

Expected:
We are able to break the links.
Comment 1 Kevin Suo 2014-05-30 07:33:43 UTC
Created attachment 100145 [details]
test xlsx file which has data link to outside spreadsheet
Comment 2 Kevin Suo 2014-05-30 07:34:44 UTC
Adding bug 78490 as see also, they may be related.

OS: windows XP SP3,
Version: 4.2.5.1 and 4.3.0 beta1
Comment 3 Yousuf Philips (jay) (retired) 2014-05-30 09:05:23 UTC
Confirmed in Linux Mint in 4.2.4 and 4.3 beta. It works fine in 4.1.6.
Comment 4 Joel Madero 2014-06-09 04:09:18 UTC
ee1feb893a4fe94061927eb67f65f82d01e1d047 is the first bad commit
commit ee1feb893a4fe94061927eb67f65f82d01e1d047
Author: Bjoern Michaelsen <bjoern.michaelsen@canonical.com>
Date:   Sun May 11 23:04:20 2014 +0000

    source-hash-f3609ac092bc520825bfd6b71ed20ecaba293317
    
    commit f3609ac092bc520825bfd6b71ed20ecaba293317
    Author:     Caolán McNamara <caolanm@redhat.com>
    AuthorDate: Tue Mar 11 10:27:41 2014 +0000
    Commit:     Caolán McNamara <caolanm@redhat.com>
    CommitDate: Tue Mar 11 12:18:55 2014 +0000
    
        convert load template dialog to .ui
    
        and merge the expander and the "show preview" checkbox
        to be the same thing, i.e. expanded is showing, and
        not expanded is not showing
    
        Change-Id: I10e43bc36a0e2e5d1286a4dbad793ee3a700c97c

:100644 100644 aa54328bb749478eb34c9d6f21114aaf4934a46c f5bf072bce82b837b5f2d70e57a349193f51a94b M	ccache.log
:100644 100644 910614ba2ac6f40e795b3a8f637968f83b6673b3 5f305f68af72f960c65aa755b79c323c06295373 M	commitmsg
:100644 100644 36312cbc0fd2b385bd738f62b53b6e8e91d58e13 13c8e704ccee359e7ef7ade6d0bbe9ab2a21d474 M	make.log
:040000 040000 73850cba32ed62160ab74ed837d4262751582417 0b8277ec6ca461462f3986949b4ce83effb363aa M	opt


# bad: [423a84c4f7068853974887d98442bc2a2d0cc91b] source-hash-c15927f20d4727c3b8de68497b6949e72f9e6e9e
# good: [65fd30f5cb4cdd37995a33420ed8273c0a29bf00] source-hash-d6cde02dbce8c28c6af836e2dc1120f8a6ef9932
git bisect start 'latest' 'oldest'
# good: [e02439a3d6297a1f5334fa558ddec5ef4212c574] source-hash-6b8393474974d2af7a2cb3c47b3d5c081b550bdb
git bisect good e02439a3d6297a1f5334fa558ddec5ef4212c574
# good: [4850941efe43ae800be5c76e1102ab80ac2c085d] source-hash-980a6e552502f02f12c15bfb1c9f8e6269499f4b
git bisect good 4850941efe43ae800be5c76e1102ab80ac2c085d
# good: [a900e72b6357882284c5955bdf939bf14269f5fb] source-hash-dd1050b182260a26a1d0ba6d0ef3a6fecc3f4e07
git bisect good a900e72b6357882284c5955bdf939bf14269f5fb
# skip: [e80660c5a1d812cd04586dae1f22767fc3778c4a] source-hash-07c60c8ee2d1465544a6a39e57bc06b3690b8dfb
git bisect skip e80660c5a1d812cd04586dae1f22767fc3778c4a
# bad: [df9bcaed2faa2a8d11b19f877cdff3a12a887278] source-hash-6ba9692d8bbe3e3c245aca9a7c928e81178d05f1
git bisect bad df9bcaed2faa2a8d11b19f877cdff3a12a887278
# bad: [9d57c189d74551d2b3770cc81139ea10a62e672f] source-hash-5b5e62650354788e50b44f32c22b687b2018aba9
git bisect bad 9d57c189d74551d2b3770cc81139ea10a62e672f
# bad: [ce81582766413e76a63c047bfd6227ab12fcd866] source-hash-3d1b1eea83703919c43620f9adef05e5b24c4bed
git bisect bad ce81582766413e76a63c047bfd6227ab12fcd866
# bad: [4e0843c411a14e3065f96f196eeb4d603664f97f] source-hash-51605bf98220d7e54dee20af17c33cebe23a0813
git bisect bad 4e0843c411a14e3065f96f196eeb4d603664f97f
# bad: [6d436a9d8ec82d3192b51a63551bc4640634402d] source-hash-50d20866aa90150680e6d39998081fc148638c73
git bisect bad 6d436a9d8ec82d3192b51a63551bc4640634402d
# good: [3dda83fc3a43afc6af7f5c0ffd029e610ec1b9a3] source-hash-c59b3d6c5c8096486730007d9b9b053793b90b1e
git bisect good 3dda83fc3a43afc6af7f5c0ffd029e610ec1b9a3
# bad: [ee1feb893a4fe94061927eb67f65f82d01e1d047] source-hash-f3609ac092bc520825bfd6b71ed20ecaba293317
git bisect bad ee1feb893a4fe94061927eb67f65f82d01e1d047
# first bad commit: [ee1feb893a4fe94061927eb67f65f82d01e1d047] source-hash-f3609ac092bc520825bfd6b71ed20ecaba293317
Comment 5 Markus Mohrhard 2014-12-14 20:38:27 UTC
I don't understand how that dialog can be available in 4.1. The file contains an external reference and not a link which means that it is not handled by the LinkManager but by the calc internal external reference storage.
Comment 6 Kevin Suo 2014-12-15 09:19:07 UTC
(In reply to Markus Mohrhard from comment #5)
If you reference between file1.ods and file2.ods, you can go to "Edit - Links" to modify/break the links between these two spreadsheets.

This can not be done for xlsx files.
Comment 7 Matthew Francis 2015-01-06 09:59:37 UTC
The behaviour changed as of the below commit.
(not obvious to me why from reading the diff, but I built back and forth over the commit several times to make sure...)


commit aa5ad7b8096cd15a55c467b1a23d03849aeb870d
Author: Kohei Yoshida <kohei.yoshida@collabora.com>
Date:   Mon Mar 10 17:03:52 2014 -0400

    fdo#74747: Make use of cached string formula results.
    
    Just like we do with cached numeric formula results.
    
    Change-Id: Ib8b311b540caeb47d8c2162a456f7490c5882ad5
Comment 8 Robinson Tryon (qubit) 2015-12-13 11:09:39 UTC Comment hidden (obsolete)
Comment 9 p_kongstad 2016-08-23 10:22:40 UTC
Hi, I can confirm this issue.
If you save document as .ods then the link becomes active.
Comment 10 Xisco Faulí 2016-10-03 09:24:25 UTC
Adding Cc: to Kohei Yoshida
Comment 11 Eike Rathke 2016-10-21 12:02:53 UTC
Workaround: recalc once (hit F9 on A1 in recent releases, or Shift+Ctrl+F9 for hard recalc, or edit the formula) and then Edit->Links isn't greyed out anymore.

I'll take a look.
Comment 12 Commit Notification 2016-10-25 17:48:23 UTC
Eike Rathke committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=8464ea6961b9cc54af9c11cce1b80ed7e0cc77e2

Resolves: tdf#79442 in OOXML import add external files to LinkManager

It will be available in 5.3.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 13 Eike Rathke 2016-10-25 17:52:34 UTC
Pending review https://gerrit.libreoffice.org/30277 for 5-2
Comment 14 Commit Notification 2016-10-26 11:11:11 UTC
Eike Rathke committed a patch related to this issue.
It has been pushed to "libreoffice-5-2":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=ef4051a295b76a5398e6c4a64bc0f8e1322291c7&h=libreoffice-5-2

Resolves: tdf#79442 in OOXML import add external files to LinkManager

It will be available in 5.2.4.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 15 Commit Notification 2016-10-26 22:39:56 UTC
Eike Rathke committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=329ecb67808767d677383e5fd6089feaab4cd9e4

trust the size ... tdf#79442 follow-up

It will be available in 5.3.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 16 Commit Notification 2016-10-27 03:31:25 UTC
Eike Rathke committed a patch related to this issue.
It has been pushed to "libreoffice-5-2":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=fac78d1d350184319d91d4f7d15bb3f22dccf0da&h=libreoffice-5-2

trust the size ... tdf#79442 follow-up

It will be available in 5.2.4.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.